import { Request, Response, NextFunction } from 'express';
export default function AsyncWrapper(fn: (req: Request, res: Response, next: NextFunction) => any): (req: Request, res: Response, next: NextFunction) => void;
export declare function makeCatcher(Logger?: {
    error: (err: any) => any;
} | false): (err: HTTPError, _req: Request, res: Response, _next: NextFunction) => void;
export declare class HTTPError extends Error {
    constructor(err: Error, req: Request, status?: number);
    status: number;
    method: string;
    path: string;
    error: Error;
}
